Skip to main content
POST
/
api
/
v1
/
external
/
companies
/
{companyId}
/
submissions
Create Submission
curl --request POST \
  --url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/submissions \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "submissionType": "newBusiness",
  "submissionName": "Acme Corp New Business"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440010"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aiinsurance.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json

Submission field data (keys are field referenceIds)

Response

Submission created

id
string<uuid>
required

Newly created submission ID